Bug 1948513 - get-resources.sh doesn't honor the no_proxy settings
Summary: get-resources.sh doesn't honor the no_proxy settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Dmitry Tantsur
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On: 1942894
Blocks: 1948538 1963210
TreeView+ depends on / blocked
 
Reported: 2021-04-12 10:36 UTC by Eduardo Minguez
Modified: 2022-04-01 07:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1963210 (view as bug list)
Environment:
Last Closed: 2021-10-12 08:14:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-ipa-downloader pull 65 0 None closed Bug 1948513: Add support for no_proxy 2021-04-13 11:44:27 UTC
Github openshift ironic-rhcos-downloader pull 39 0 None closed Bug 1948513: Add support for no_proxy 2021-04-13 11:44:31 UTC
Red Hat Knowledge Base (Solution) 6083641 0 None None None 2021-05-28 09:18:01 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:59:46 UTC

Description Eduardo Minguez 2021-04-12 10:36:30 UTC
Description of problem:

In proxy environments, it is always needed to use the http_proxy, https_proxy and the no_proxy variable, otherwise if you want to reach internal resources you will be using the proxy which may not work.

The get-resources.sh script doesn't contain the no_proxy var.


Version-Release number of selected component (if applicable):
Latest


How reproducible:
Deploy a cluster with proxy settings and serving the ipa and rhcos images in a local http server with no proxy in the middle

Steps to Reproduce:
1.
2.
3.

Actual results:
The script tries to curl the images using the proxy and times out

Expected results:
The script is aware of the no_proxy variable and it downloads the images properly

Additional info:
https://github.com/metal3-io/ironic-ipa-downloader/pull/18
https://github.com/openshift/ironic-ipa-downloader/pull/65
https://github.com/openshift/ironic-rhcos-downloader/pull/39

Comment 2 Andreas Karis 2021-06-01 15:24:41 UTC
Switching the priority to medium/medium as this completely breaks the installation for proxied, connected environments.

Comment 3 Victor Voronkov 2021-06-15 05:45:46 UTC
Verified on 4.8.0-fc.9

Cluster deployed with proxy, one worker spare
Proxy container got stopped
Provisioning of additional node performed successfully

[kni@provisionhost-0-0 ~]$ oc get machine -A                                                                                     
NAMESPACE               NAME                                      PHASE         TYPE   REGION   ZONE   AGE                       
openshift-machine-api   ocp-edge-cluster-0-trd9t-master-0         Running                              16h                       
openshift-machine-api   ocp-edge-cluster-0-trd9t-master-1         Running                              16h                       
openshift-machine-api   ocp-edge-cluster-0-trd9t-master-2         Running                              16h                       
openshift-machine-api   ocp-edge-cluster-0-trd9t-worker-0-bj4xk   Running                              16h                       
openshift-machine-api   ocp-edge-cluster-0-trd9t-worker-0-jstrx   Running                              16h                       
openshift-machine-api   ocp-edge-cluster-0-trd9t-worker-0-r5zqf   Provisioned                          12h

Comment 4 Eduardo Minguez 2021-06-15 08:37:58 UTC
Not sure why I'm the assignee on this BZ... I've reassigned it to Dmitry

Comment 7 errata-xmlrpc 2021-07-27 22:59:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.